QGIS Application - Bug report #17208
some items on Project Properties|General aren't available to change until the CRS tab is activated
2017-09-27 09:00 PM - Steven Mizuno

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 8.1 x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25107
Description

Specifically, the Measurements (Ellipsoid, Units for Distance / Area) and Coordinate display (Display coordinates using) items are
disabled until the CRS tab is entered, then return to General.

This occurs every time the Project Properties is called.

It is confusing as the items initially show values different from the values set after the CRS tab has been activated.

Related issues:
Duplicated by QGIS Application - Bug report # 17296: Strange behaviour of Mea... Closed 2017-10-17

Associated revisions

Revision a303ef5a - 2018-02-19 11:37 AM - Mathieu Pellerin - nIRV

fix disabled map unit widgets when opening project prop. dialog
(fixes #17208)

History

#1 - 2018-02-02 11:31 AM - Alexander Bruy
- Duplicated by Bug report #17296: Strange behaviour of Measurement settings dropdowns inside project CRS properties added

#2 - 2018-02-07 05:59 AM - Mathieu Pellerin - nIRV
- Pull Request or Patch supplied changed from No to Yes

Patch here: https://github.com/qgis/QGIS/pull/6283

#3 - 2018-02-19 11:37 AM - Mathieu Pellerin - nIRV
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a303ef5ab738bc065122583302369a5005ef7bf9.

#4 - 2018-02-22 11:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented
